USE standardupdate_csv_21;

SET FOREIGN_KEY_CHECKS = 0;
TRUNCATE ITscope_Product;
TRUNCATE ITscope_SupplierItem;
TRUNCATE ITscope_Project;
SET FOREIGN_KEY_CHECKS = 1;

LOAD DATA LOCAL INFILE 'C:/temp/standardupdate_csv_21/product.csv'
  INTO TABLE ITscope_Product
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@puid, @price, @priceCalc, @currencyCode, @priceCalcVat, @priceLastUpdate, @priceSupplierId, @priceSupplierName, @priceSupplierItemId, @priceSupplierSKU,
   @stockSupplierText, @stockStatus, @stockStatusText, @stock, @externalStock, @incomingStock, @stockAvailabilityDate, @stockLastUpdate, @aggregatedStatus,
   @aggregatedStatusText, @aggregatedStock, @aggregatedSupplierItems,@contractTypeName,@priceBillingPeriod,@priceBillingPeriodUnit,@priceSubscriptionPeriod,@priceSubscriptionPeriodUnit)
  SET
    puid = nullif(@puid, ''),
    price = nullif(@price, ''),
    priceCalc = nullif(@priceCalc, ''),
    currencyCode = nullif(@currencyCode, ''),
    priceCalcVat = nullif(@priceCalcVat, ''),
    priceLastUpdate = STR_TO_DATE(@priceLastUpdate, '%d.%m.%Y %H:%i'),
    priceSupplierId = nullif(@priceSupplierId, ''),
    priceSupplierName = nullif(@priceSupplierName, ''),
    priceSupplierItemId = nullif(@priceSupplierItemId, ''),
    priceSupplierSKU = nullif(@priceSupplierSKU, ''),
    stockSupplierText = nullif(@stockSupplierText, ''),
    stockStatus = nullif(@stockStatus, ''),
    stockStatusText = nullif(@stockStatusText, ''),
    stock = nullif(@stock, ''),
    externalStock = nullif(@externalStock, ''),
    incomingStock = nullif(@incomingStock, ''),
    stockAvailabilityDate = STR_TO_DATE(@stockAvailabilityDate, '%d.%m.%Y %H:%i'),
    stockLastUpdate = STR_TO_DATE(@stockLastUpdate, '%d.%m.%Y %H:%i'),
    aggregatedStatus = nullif(@aggregatedStatus, ''),
    aggregatedStatusText = nullif(@aggregatedStatusText, ''),
    aggregatedStock = nullif(@aggregatedStock, ''),
    aggregatedSupplierItems = nullif(@aggregatedSupplierItems, '',
    priceBillingPeriod = nullif(@priceBillingPeriod, ''),
    priceBillingPeriodUnit = nullif(@priceBillingPeriodUnit, ''),
    priceSubscriptionPeriod = nullif(@priceSubscriptionPeriod, ''),
    priceSubscriptionPeriodUnit = nullif(@priceSubscriptionPeriodUnit, '');

LOAD DATA LOCAL INFILE 'C:/temp/standardupdate_csv_21/supplierItem.csv'
  INTO TABLE ITscope_SupplierItem
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@id, @productId, @supplierSKU, @supplierId, @supplierName, @price, @priceCalc, @currencyCode, @priceCalcVat, @priceLastUpdate, @stockSupplierText,
   @stockStatus, @stockStatusText, @stock, @externalStock, @incomingStock, @stockAvailabilityDate, @lastStockUpdate,@priceBillingPeriod,@priceBillingPeriodUnit,@priceSubscriptionPeriod,@priceSubscriptionPeriodUnit))
  SET
    id = nullif(@id, ''),
    productId = nullif(@productId, ''),
    supplierSKU = nullif(@supplierSKU, ''),
    supplierId = nullif(@supplierId, ''),
    supplierName = nullif(@supplierName, ''),
    price = nullif(@price, ''),
    priceCalc = nullif(@priceCalc, ''),
    currencyCode = nullif(@currencyCode, ''),
    priceCalcVat = nullif(@priceCalcVat, ''),
    priceLastUpdate = STR_TO_DATE(@priceLastUpdate, '%d.%m.%Y %H:%i'),
    stockSupplierText = nullif(@stockSupplierText, ''),
    stockStatus = nullif(@stockStatus, ''),
    stockStatusText = nullif(@stockStatusText, ''),
    stock = nullif(@stock, ''),
    externalStock = nullif(@externalStock, ''),
    incomingStock = nullif(@incomingStock, ''),
    stockAvailabilityDate = STR_TO_DATE(@stockAvailabilityDate, '%d.%m.%Y %H:%i'),
    lastStockUpdate = STR_TO_DATE(@lastStockUpdate, '%d.%m.%Y %H:%i'),
    priceBillingPeriod = nullif(@priceBillingPeriod, ''),
    priceBillingPeriodUnit = nullif(@priceBillingPeriodUnit, ''),
    priceSubscriptionPeriod = nullif(@priceSubscriptionPeriod, ''),
    priceSubscriptionPeriodUnit = nullif(@priceSubscriptionPeriodUnit, '');

LOAD DATA LOCAL INFILE 'C:/temp/standardupdate_csv_21/project.csv'
  INTO TABLE ITscope_Project
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@projectSupplierItemId, @supplierProjectId, @manufacturerProjectId, @price, @remainingQuantity, @projectLastUpdate,@projectBundleId,@projectPosition))
  SET
    projectSupplierItemId = nullif(@projectSupplierItemId, ''),
    supplierProjectId = nullif(@supplierProjectId, ''),
    manufacturerProjectId = nullif(@manufacturerProjectId, ''),
    price = nullif(@price, ''),
    remainingQuantity = nullif(@remainingQuantity, ''),
    projectLastUpdate = STR_TO_DATE(@projectLastUpdate, '%d.%m.%Y %H:%i'),
  projectBundleId = nullif(@projectBundleId, ''),
  projectPosition = nullif(@projectPosition, '');	